Subject: bug#13646: Whitespace support for file/mode-specific styles and actions

From: Glenn Morris <[email-masked]>
Date: Thu, 07 Feb 2013 16:47:15 -0500

Didier Verna wrote:

>   Another (more personal) argument, is that in general, I don't like the
>   idea of having settings for a single functionality scattered all over
>   the place. I prefer to see those settings in a centralized place, say
>   a customization buffer.

It hasn't been said explicitly in this report AFAICS, but you don't need
a dir-locals.el file to use directory local settings. You can do it in
.emacs with dir-locals-set-directory-class. See

http://www.gnu.org/software/emacs/manual/html_node/emacs/Directory-Variables.htm

But the directory has to be fully specified (ie can't use regexps).